Results 1 to 9 of 9

Thread: How to get Ext JS 5.1.2 for Architect projects

  1. #1
    Sencha Premium User
    Join Date
    Sep 2011
    Location
    Tamworth, NSW, Australia
    Posts
    1,271
    Answers
    13

    Default Answered: How to get Ext JS 5.1.2 for Architect projects

    What's the correct way to upgrade a project in Sencha Architect from 5.1.1 to 5.1.2, which was released a couple of weeks ago?

    Can we just download it from the support portal and just replace everything in the ext directory?

  2. [email protected]:~$ sencha help app upgrade
    Sencha Cmd v5.1.3.61
    sencha app upgrade


    This command upgrades the current application (based on current directory) to a
    specified new framework.


    sencha app upgrade /path/to/sdk

    To download and extract an appropriate framework from the Sencha package
    repository, the framework may also be specified by name:


    sencha app upgrade -ext


    or by name and version, separated by an '@' character:


    sencha app upgrade [email protected]


    NOTE: This will upgrade the framework used by the current application in the
    current workspace. This will effect any other applications in this workspace
    using the same framework (i.e., "ext" or "touch").


    To upgrade just the generate scaffolding of your application to a new version
    of Sencha Cmd and not the framework in use, either omit the path to the
    framework:


    sencha app upgrade

    or use the --noframework option:


    sencha app upgrade --noframework




    Options
    * --backup, -b - Make a backup of application before upgrade
    * --noappjs, -noa - Disable upgrade of app.js
    * --noframework, -nof - Upgrade only the Sencha Cmd scaffolding and not the SDK
    * --path, -p - The path to the framework to which to upgrade


    Syntax


    sencha app upgrade [options] [path]

  3. #2
    Sencha Premium Member
    Join Date
    May 2010
    Location
    Guatemala, Central America
    Posts
    1,501
    Answers
    13

    Default

    If you use cmd to generate your app just update the ext in your workspace, check the options running from command line: sencha help app upgrade

    Regards.

  4. #3
    Sencha Premium User
    Join Date
    Sep 2011
    Location
    Tamworth, NSW, Australia
    Posts
    1,271
    Answers
    13

    Default

    I use Cmd to generate my app (but it's an app managed through Sencha Architect 3.2). I tried this:

    Code:
    C:\PROJECTS\IssuesLog\trunk\SenchaArchitect>sencha app upgrade -ext
    Picked up _JAVA_OPTIONS: -Xmx1024M
    Sencha Cmd v5.1.2.52
    [INF] Downloading ext package...
    [INF] Downloading : ....................
    [INF] Extracting ext package...
    [INF] Package is already local: ext/6.0.0.640
    [INF] Extracting  : ....................
    [INF] Loading configuration for framework directory: C:\Users\mfearby\bin\Sencha
    \Cmd\repo\extract\ext\6.0.0.640
    [ERR] Sencha Cmd version (5.1.2.52) is incompatible with required version (6.0.0
    .202-6.0.0.202)
    Luckily it said my version of Cmd is incompatible with 6; I don't want 6 (yet) because Architect doesn't support it. I would have hoped it might upgrade me from 5.x to 5.1.2 (the latest stable version of the framework I'm currently using). So, I tried this:

    Code:
    C:\PROJECTS\IssuesLog\trunk\SenchaArchitect>sencha app upgrade [email protected]
    Picked up _JAVA_OPTIONS: -Xmx1024M
    Sencha Cmd v5.1.2.52
    [INF] Loading configuration for framework directory: C:\Users\mfearby\bin\Sencha
    \Cmd\repo\extract\ext\6.0.0.640
    [ERR] Sencha Cmd version (5.1.2.52) is incompatible with required version (6.0.0
    .202-6.0.0.202)
    It ignored the version number specified on the command-line (based on its example) yet it still tried to download 6.

    Architect really needs to make this easier. Sometimes I get to see a blue button to upgrade the framework under Edit > Project Settings > Framework but it's not showing up.

  5. #4
    Sencha Premium Member
    Join Date
    May 2010
    Location
    Guatemala, Central America
    Posts
    1,501
    Answers
    13

    Default

    [email protected]:~$ sencha help app upgrade
    Sencha Cmd v5.1.3.61
    sencha app upgrade


    This command upgrades the current application (based on current directory) to a
    specified new framework.


    sencha app upgrade /path/to/sdk

    To download and extract an appropriate framework from the Sencha package
    repository, the framework may also be specified by name:


    sencha app upgrade -ext


    or by name and version, separated by an '@' character:


    sencha app upgrade [email protected]


    NOTE: This will upgrade the framework used by the current application in the
    current workspace. This will effect any other applications in this workspace
    using the same framework (i.e., "ext" or "touch").


    To upgrade just the generate scaffolding of your application to a new version
    of Sencha Cmd and not the framework in use, either omit the path to the
    framework:


    sencha app upgrade

    or use the --noframework option:


    sencha app upgrade --noframework




    Options
    * --backup, -b - Make a backup of application before upgrade
    * --noappjs, -noa - Disable upgrade of app.js
    * --noframework, -nof - Upgrade only the Sencha Cmd scaffolding and not the SDK
    * --path, -p - The path to the framework to which to upgrade


    Syntax


    sencha app upgrade [options] [path]

  6. #5
    Sencha Premium User
    Join Date
    Sep 2011
    Location
    Tamworth, NSW, Australia
    Posts
    1,271
    Answers
    13

    Default

    I have no idea of the full version number for 5.1.2, but ignoring my [email protected] argument and trying 6 instead is not an appropriate response if it doesn't like what I've typed. I'll login, download, and try the /path/to/sdk approach, then.

  7. #6
    Sencha Premium User
    Join Date
    Sep 2011
    Location
    Tamworth, NSW, Australia
    Posts
    1,271
    Answers
    13

    Default

    /path/to/sdk seems to have worked. The full version is 5.1.2.748. Thanks.

  8. #7
    Sencha User
    Join Date
    Nov 2014
    Posts
    3,120
    Answers
    446

    Default

    Quote Originally Posted by marc.fearby View Post
    Architect really needs to make this easier. Sometimes I get to see a blue button to upgrade the framework under Edit > Project Settings > Framework but it's not showing up.
    Hi--

    Just to clear this up, Sencha Architect does not yet support Ext JS 5.1.2, so no upgrade button will appear until a version of Sencha Architect is released that supports it.

    Thanks!
    Joel

  9. #8
    Sencha Premium User
    Join Date
    Sep 2011
    Location
    Tamworth, NSW, Australia
    Posts
    1,271
    Answers
    13

    Default

    Quote Originally Posted by joel.watson View Post
    Hi--

    Just to clear this up, Sencha Architect does not yet support Ext JS 5.1.2, so no upgrade button will appear until a version of Sencha Architect is released that supports it.

    Thanks!
    Joel
    So if I've gone and run "sencha app upgrade /path/to/sdk" manually, is that going to cause me problems? Maybe this is why I've never used Cmd myself before because as an Architect user, it doesn't seem like I'm supposed to. If I do, then I only end up doing bad things?!

  10. #9
    Ext JS Premium Member
    Join Date
    Jan 2010
    Location
    Italy
    Posts
    44

    Default

    Quote Originally Posted by joel.watson View Post
    Hi--

    Just to clear this up, Sencha Architect does not yet support Ext JS 5.1.2, so no upgrade button will appear until a version of Sencha Architect is released that supports it.

    Thanks!
    Joel
    Any news about the release ?

Similar Threads

  1. How to enable Sencha CMD 4.0 for old architect projects ?
    By sudhirkd in forum Sencha Architect 3.x: Q&A
    Replies: 1
    Last Post: 15 Jan 2014, 1:48 PM
  2. How to enable Sencha CMD 4.0 for old architect projects ?
    By sudhirkd in forum Sencha Architect 3.x: Q&A
    Replies: 3
    Last Post: 15 Jan 2014, 1:47 PM
  3. What are the steps to combine two architect projects into one ?
    By vayumahesh in forum Sencha Ext JS Q&A
    Replies: 1
    Last Post: 11 Oct 2013, 12:13 PM
  4. Upgraded Architect and none of my projects work
    By vipul30 in forum Sencha Architect 2.x: Help & Discussions
    Replies: 3
    Last Post: 11 Dec 2012, 1:17 PM
  5. Architect and non JS MVC Ext projects
    By stimpy in forum Sencha Architect 2.x: Help & Discussions
    Replies: 4
    Last Post: 10 Aug 2012, 10:10 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •